Bug 449253 - Fetcmail prevented from running by policy change
Fetcmail prevented from running by policy change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fetchmail (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 21:26 EDT by Scott Wilburn
Modified: 2009-07-14 14:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Wilburn 2008-05-31 21:26:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
Trying to run fetchmail is prevented from running by the latest targeted policy.

avc: denied { search } for pid=26279 comm="fetchmail" name="root" dev=sda3 ino=2646 scontext=unconfined_u:system_r:fetchmail_t:s0 tcontext=root:object_r:user_home_dir_t:s0 tclass=dir

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.3.1-55.fc9.noarch

How reproducible:
Always


Steps to Reproduce:
1. Enable selinux in targeted enforcing mode.
2. Run fetchmail
3.

Actual Results:
Fetchmail fails, with avc denied message above.

Expected Results:
Fetchmail should run.

Additional info:
I am running fetchmail as root in daemon mode, but this appears to affect running it as a user as well.
Comment 1 Daniel Walsh 2008-06-02 13:35:13 EDT
Looks like a labeling problem on /root

restorecon -R -v /root

Comment 2 Scott Wilburn 2008-06-02 23:03:53 EDT
Thanks for the suggestion. It doesn't fix the problem though.
Comment 3 Scott Wilburn 2008-06-29 23:40:03 EDT
This appears to be a fetchmail bug, rather than selinux. Changing component to
fetchmail and reopening.

Despite giving an option -f '/etc/fetchmail.conf' for an alternate config file,
fetchmail still searches /root/ presumably for /root/.fetchmailrc 

Fetchmail should have no reason to search /root/ in this case.
Comment 4 Scott Wilburn 2008-09-01 10:50:18 EDT
Setting $HOME to something other that root (e.g /var/fetchmail) fixes this problem. This may not be a bug. Someone who knows fetchmail should comment on whether this is intended behavior or not.
Comment 5 Bug Zapper 2009-06-09 21:19:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthias Andree 2009-06-14 06:07:01 EDT
This fetchmail behaviour is intentional - fetchmail stores state information in the running user's home directory, namely .fetchmail.pid and/or .fetchids. See the manual page for the ENVIRONMENT section for HOME_ETC and FETCHMAILHOME and documentation, and for the --idfile and --pidfile options.

Note also that it's discouraged to run fetchmail as root.
Comment 7 Bug Zapper 2009-07-14 14:24:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.